OHTROR(3)

SYNOPSIS
SUBROUTINE OHTROR (Q, N, NRDA, DIAG, IRANK, DIV, TD)

NAME
ohtror - Subsidiary to BVSUP

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (OHTROR-S)

AUTHOR
Watts, H. A., (SNLA)

DESCRIPTION
For a rank deficient problem, additional orthogonal HOUSEHOLDER transformations are applied to the right side of Q to further reduce the triangular form. Thus, after application of the routines ORTHOL and OHTROR to the original matrix, the result is a nonsingular triangular matrix while the remainder of the matrix has been zeroed out.

SEE ALSO
BVSUP

ROUTINES CALLED
SDOT

REVISION HISTORY (YYMMDD)
750601 DATE WRITTEN
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)